POST api/campaigntemplate/updatecampaign/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | string |
Required |
Body Parameters
CampaignTemplateDto| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | globally unique identifier |
None. |
|
| Name | string |
None. |
|
| Width | integer |
None. |
|
| Items | Collection of CampaignTemplateItemDto |
None. |
|
| HasFooter | boolean |
None. |
|
| HasTestimonials | boolean |
None. |
|
| Price | CampaignPriceDto |
None. |
|
| Products | Collection of globally unique identifier |
None. |
|
| Created | date |
None. |
|
| Updated | date |
None. |
|
| IsDeleted | boolean |
None. |
|
| Campaigns | Collection of EntityDto |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "f53ba6ae-bf03-478e-ad91-02eef78c5216",
"name": "sample string 1",
"width": 2,
"items": [
{
"sort": 1,
"hidden": true,
"type": "sample string 2",
"content": "sample string 3",
"color": "sample string 4",
"invertedColor": true,
"url": "sample string 5",
"isUrl": true,
"width": 1,
"widthPercent": 1,
"padding": 1,
"timestamp": "2026-11-07T02:27:35.4518622+01:00",
"name": "sample string 6",
"meta1": "sample string 7",
"meta2": "sample string 8"
},
{
"sort": 1,
"hidden": true,
"type": "sample string 2",
"content": "sample string 3",
"color": "sample string 4",
"invertedColor": true,
"url": "sample string 5",
"isUrl": true,
"width": 1,
"widthPercent": 1,
"padding": 1,
"timestamp": "2026-11-07T02:27:35.4518622+01:00",
"name": "sample string 6",
"meta1": "sample string 7",
"meta2": "sample string 8"
}
],
"hasFooter": true,
"hasTestimonials": true,
"price": {
"amount": 1.0,
"currency": "sample string 2"
},
"products": [
"232ca82f-be0e-42a8-8e22-79e80ed7867e",
"dc53f2a0-32f3-4edf-b726-11c1ce2f9518"
],
"created": "2026-11-07T02:27:35.4518622+01:00",
"updated": "2026-11-07T02:27:35.4518622+01:00",
"isDeleted": true,
"campaigns": [
{
"id": "1ed5547c-6b73-4fa3-86f0-1d90ce0768de",
"name": "sample string 2",
"type": "sample string 3"
},
{
"id": "1ed5547c-6b73-4fa3-86f0-1d90ce0768de",
"name": "sample string 2",
"type": "sample string 3"
}
]
}
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.